package main

import "git.red-green.com/david/cyber-knight/fancycolors"

type User struct {
	Id       uint64
	Name     string
	RealName string

	Level uint32
	Exp   uint64

	Cash uint64

	Weapon *Weapon
}

func (u *User) PrettyName() string {
	return fancycolors.ReplaceAll(u.Name)
}

func (u *User) DullName() string {
	return fancycolors.StripAll(u.Name)
}
