package main

import "git.red-green.com/david/cyber-knight/fancycolors"

type Weapon struct {
	Id   uint64
	Name string

	MinLevel uint32

	BaseDamage     uint64
	DamagePerLevel uint64
	PerLevelStart  uint64
	PerLevelMax    uint64
}

func (w *Weapon) PrettyName() string {
	return fancycolors.ReplaceAll(w.Name)
}

func (w *Weapon) DullName() string {
	return fancycolors.StripAll(w.Name)
}
